IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_000_XML_CEVAP_ISLE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_000_XML_CEVAP_ISLE
GO
CREATE PROCEDURE [dbo].[SPUSS_000_XML_CEVAP_ISLE] 
	@XMLCEVAP NVARCHAR(MAX),
	@ISLEMKODU NVARCHAR(50),
	@HDOSYAID INT,
	@TABLOID INT,
	@MINID INT,
	@MAXID INT
AS
BEGIN	
	
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	
	DECLARE @XML1 XML = ''
	DECLARE @XML2 VARCHAR(MAX) = ''
	DECLARE @XML3 XML = ''
	DECLARE @SNOTAKIPNO VARCHAR(80) = ''
	DECLARE @SONUCKODU VARCHAR(20) = ''
	DECLARE @SONUCMESAJI VARCHAR(500) = ''
	DECLARE @SONUCMESAJI2 VARCHAR(100) = ''

	SET @XMLCEVAP = REPLACE(@XMLCEVAP,'<?xml version="1.0" encoding="utf-8" ?>','')
	SET @XMLCEVAP = RTRIM(LTRIM(@XMLCEVAP))


	begin try
		SET @XML1 = Cast(@XMLCEVAP as xml)
	end try
	begin catch
		begin try
			SET @XML1 =cast(replace(@XMLCEVAP, '&', '&amp;') as xml)
		end try
		begin catch
			SET @HATA = @HATA + 'Cevap XML Bozuk '+ISNULL(Error_message(),'')
		end catch		
	end catch

	IF CHARINDEX('schemas.xmlsoap.org/soap/envelope',@XMLCEVAP)>0
	BEGIN
		SET @XML2 = (SELECT @XML1.value ('declare namespace s =  "http://schemas.xmlsoap.org/soap/envelope/"; (/s:Envelope/s:Body/*)[1]','varchar(4000)') AS id)
		SET @XML2 = REPLACE(@XML2,'<?xml version="1.0" encoding="utf-8" ?>','')
		SET @XML2 = RTRIM(LTRIM(@XML2))

		begin try
			SET @XML1 = Cast(@XML2 as xml)
		end try
		begin catch
			begin try
				SET @XML1 =cast(replace(@XML2, '&', '&amp;') as xml)
			end try
			begin catch
				SET @HATA = @HATA + 'Cevap XML Bozuk '+ISNULL(Error_message(),'')
			end catch		
		end catch
	END

	SET @XML3 =  (SELECT CAST(REPLACE(CAST(@XML1 AS NVARCHAR(MAX)), 'encoding="utf-8"', '') AS XML) AS DataXml)	
	
	SET @SONUCKODU = ISNULL((	SELECT	T.C.value('@value', 'varchar(100)') AS SONUCKODU
						FROM	@XML3.nodes('(/SYSMessage/recordData/KayitCevabi/sonucKodu)') AS T(C)),'')

	SET @SONUCMESAJI = ISNULL((	SELECT T.C.value('@value', 'varchar(1000)') AS SONUCMESAJI
							FROM @XML3.nodes('(/SYSMessage/recordData/KayitCevabi/sonucMesaji)') AS T(C)),'')

							
	IF @ISLEMKODU = '101'--HASTA KAYIT
	BEGIN
		SET @SNOTAKIPNO = (	SELECT T.C.value('@value', 'varchar(100)') as SNOTAKIPNO
							FROM @XML3.nodes('(/SYSMessage/recordData/KayitCevabi/SYSTakipNo)') as T(C))	
		IF @SONUCKODU = 'E2033' 
		BEGIN
			SET @MESAJ = @MESAJ + '101 - Hastanın USS hasta kaydı daha önce yapıldığı için önceki takip numarası sisteme kaydedildi'
			IF @SNOTAKIPNO<>''
				UPDATE HDOSYA SET HDOSYA.SNOTAKIPNO = @SNOTAKIPNO WHERE HDOSYA.HDOSYAID = @HDOSYAID AND HDOSYA.SNOTAKIPNO<>@SNOTAKIPNO				
		END
		ELSE IF @SONUCKODU = 'S0000'
		BEGIN
			IF @SNOTAKIPNO=''
				SET @HATA = @HATA + '101 - Takip numarası alınamadı'
			ELSE
			BEGIN
				UPDATE HDOSYA SET HDOSYA.SNOTAKIPNO = RTRIM(@SNOTAKIPNO) WHERE HDOSYA.HDOSYAID = @HDOSYAID
				UPDATE HESAPISL SET SNKAYDET=1 FROM HESAPISL H
                INNER JOIN TITEM T ON H.ITEMID=T.ITEMID
                WHERE ITEMKODU2 IN ('510090','510070') AND ITEMTURUID='6' AND IIPTAL=0 AND IPTAL=0 AND H.MDLKAYDET=0 AND H.SNKAYDET=0	AND	H.HDOSYAID=@HDOSYAID
				SET @MESAJ = @MESAJ + '101 - USS sistemine hasta kaydı başarıyla yapıldı'
			END			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '101 - USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END

	IF @ISLEMKODU = '102' --HIZMET KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN		
				UPDATE TBL SET TBL.SNOgoNDERILDI = 1 
				FROM VWSNOMUAYENEISLEMLERI TBL
				WHERE TBL.HDOSYAID = @HDOSYAID
				AND (@TABLOID=0 OR TBL.HESAPISLID = @TABLOID)
				AND (@MINID=0 OR TBL.HESAPISLID>=@MINID)
				AND (@MAXID=0 OR TBL.HESAPISLID<=@MAXID)			
				
				SET @MESAJ = @MESAJ + '102 - USS sistemine hizmet kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '102 - Hizmet kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END

	
	IF @ISLEMKODU = '402' --SYS TAKIP NO SORGULAMA
	BEGIN
		IF (( @SONUCKODU = 'S0000' ) OR  (@SONUCKODU = ''))
		BEGIN		
						
				
				SET @MESAJ = @MESAJ + '402 - USS sisteminde takip no sorgulama başarıyla yapıldı'	
				
				
				BEGIN TRY  				
					IF EXISTS (SELECT SYSOBJECTS.name FROM SYSOBJECTS WHERE SYSOBJECTS.name = 'MDLXMLLOG')
					BEGIN
						IF EXISTS(SELECT HDOSYAID FROM MDLXMLLOG WHERE XMLDOSYAADI='402 - USS sisteminde takip no sorgulama' AND HDOSYAID=@HDOSYAID)
						 UPDATE MDLXMLLOG SET HDOSYAID=@HDOSYAID,XMLDATA=@XMLCEVAP,TARIH=GETDATE() WHERE XMLDOSYAADI='402 - USS sisteminde takip no sorgulama' AND  HDOSYAID=@HDOSYAID 
						ELSE
						 INSERT INTO MDLXMLLOG(HDOSYAID,XMLDATA,XMLDOSYAADI,TARIH,KAYDEDEN) VALUES (@HDOSYAID,@XMLCEVAP,'402 - USS sisteminde takip no sorgulama',GETDATE(),'SQL')
					END
				END TRY  
				BEGIN CATCH  
	              
				END CATCH;
				
				
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '402 - Hasta takip no sorgulamasında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END

	IF @ISLEMKODU = '302' --HIZMET SILME
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN		
				UPDATE TBL SET TBL.SNOgoNDERILDI = 0 
				FROM VWSNOMUAYENEISLEMLERI TBL
				WHERE TBL.HDOSYAID = @HDOSYAID
				AND (@TABLOID=0 OR TBL.HESAPISLID = @TABLOID)
				AND (@MINID=0 OR TBL.HESAPISLID>=@MINID)
				AND (@MAXID=0 OR TBL.HESAPISLID<=@MAXID)			
				
				SET @MESAJ = @MESAJ + '302 - USS sistemine hizmet kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '302 - Hizmet kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END

	IF @ISLEMKODU = '304' --NAKIL IPTAL 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN		
				UPDATE HDOSYA SET HASTANAKILBILGILERIGONDERILDI = 0 
				FROM HDOSYA 
				WHERE HDOSYAID = @HDOSYAID			
				
				SET @MESAJ = @MESAJ + '304- USS sistemine Nakil İptali başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '304 - Nakil İptali USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END

	IF @ISLEMKODU = '262' --HASTA NAKIL BILGILERI
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN		
				UPDATE HDOSYA SET HASTANAKILBILGILERIGONDERILDI = 1 
				FROM HDOSYA 
				WHERE HDOSYAID = @HDOSYAID			
				
				SET @MESAJ = @MESAJ + '262 - USS sistemine Hasta nakil bilgileri kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '262 - Hasta nakil bilgileri kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END

	IF @ISLEMKODU = '272' --HASTA KAN TRANSFUZYON BILGILERI
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN		
				UPDATE HYATISKANTRANSFUZYONU SET USSKANTRANSFUZYONGONDERILDI = 1 
				FROM HYATISKANTRANSFUZYONU 
				WHERE HDOSYAID = @HDOSYAID AND TRANSFUZYONID=@TABLOID		
				
				SET @MESAJ = @MESAJ + '272 - USS sistemine Hasta kan transfüzyon bilgileri kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '272 - Hasta kan transfüzyon bilgileri kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END


	IF @ISLEMKODU = '267' -- YENIDOGAN_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN		
			--	UPDATE HYATISKANTRANSFUZYONU SET USSKANTRANSFUZYONGONDERILDI = 1 
				--FROM HYATISKANTRANSFUZYONU 
			--	WHERE HDOSYAID = @HDOSYAID AND TRANSFUZYONID=@TABLOID		
				
				SET @MESAJ = @MESAJ + '267 - USS sistemine Yenidoğan kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '267 - Yenidoğan kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END



	IF @ISLEMKODU = '500' --YOGUN BAKIM DEGERLENDIRME KAYIT 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN		
				UPDATE HYBBYS SET GONDERILDI = 1 
				FROM HYBBYS 
				WHERE HDOSYAID = @HDOSYAID	
				AND (@TABLOID=0 OR HYBBYS.HYATISID = @TABLOID)
				AND (@MINID=0 OR HYBBYSID=@MINID)
		
				SET @MESAJ = @MESAJ + '500 - USS sistemine Hasta Yoğun Bakım değerlendirme bilgileri kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '500 -  Hasta Yoğun Bakım değerlendirme bilgileri kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END

	IF @ISLEMKODU = '303' --IZLEM SILME
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN		
				UPDATE TBL SET TBL.OZELLIKLIIZLEMGONDERILDI = 0 
				FROM HYIZLEM TBL
				INNER JOIN HYOZELLIKLIIZLEM HYO ON HYO.HYIZLEMID = TBL.HYIZLEMID
				WHERE HYO.HDOSYAID = @HDOSYAID
				AND (@TABLOID=0 OR TBL.HYIZLEMID = @TABLOID)
				AND (@MINID=0 OR TBL.HYIZLEMID>=@MINID) 
				AND (@MAXID=0 OR TBL.HYIZLEMID<=@MAXID)			
				
				SET @MESAJ = @MESAJ + '303 - USS sistemine izlem silme başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '303 - İzlem silmede USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END


	IF @ISLEMKODU = '103' --MUAYENE KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE  HMUAYENEISL SET HMUAYENEISL.SNOMUAYENEgoNDERILDI=1
				FROM HMUAYENE WITH(NOLOCK)
				 LEFT JOIN HMUAYENEISL WITH(NOLOCK) ON HMUAYENEISL.HMUAYENEID = HMUAYENE.HMUAYENEID 
				 LEFT JOIN HESAPISL WITH(NOLOCK) ON HESAPISL.HESAPISLID = HMUAYENEISL.HESAPISLID				 
				WHERE HESAPISL.IPTAL = 0 AND HESAPISL.ONAYLI=1 AND HESAPISL.TEKLIF=0
				 AND	HMUAYENE.HDOSYAID =  @HDOSYAID
				-- AND	(@TABLOID=0 OR HMUAYENE.HMUAYENEID =@TABLOID)	CURSOR YANLIŞ ÇALIŞTIĞI İÇİN KAPATTIK AYCA20200827

				UPDATE  HYATIS SET HYATIS.SNOMUAYENEgoNDERILDI=1
				FROM HMUAYENE WITH(NOLOCK)
				 LEFT JOIN HYATIS WITH(NOLOCK) ON HYATIS.HMUAYENEID = HMUAYENE.HMUAYENEID
				 LEFT JOIN HESAPISL WITH(NOLOCK) ON HESAPISL.HESAPISLID = HYATIS.HESAPISLID				 
				WHERE HESAPISL.IPTAL = 0 AND HESAPISL.ONAYLI=1 AND HESAPISL.TEKLIF=0
				 AND	HMUAYENE.HDOSYAID =  @HDOSYAID
				 AND	(@TABLOID=0 OR HMUAYENE.HMUAYENEID =@TABLOID)		
				
				SET @MESAJ = @MESAJ + '103 - USS sistemine muayene kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '103 - Muayene Kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
		
		END
	END


	IF @ISLEMKODU IN ('105', '201', '409') --LAP, PATALOJI, RADYOLOJI KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
			UPDATE VT SET VT.USSTETKIKgoNDERILDI = 1 
			FROM VWTETKIK VT
			LEFT JOIN TBOLUM AS UYGBOLUM WITH(NOLOCK) ON UYGBOLUM.BOLUMID = VT.UYGBOLUMID
			LEFT JOIN TBOLUM AS ISTBOLUM WITH(NOLOCK) ON ISTBOLUM.BOLUMID = VT.ISTBOLUMID			
			WHERE		VT.HDOSYAID = @HDOSYAID
					AND (@TABLOID = 0 OR VT.HTETKIKKARTID = @TABLOID)
					AND VT.DURUM = 2
					AND VT.SNOgoNDERILDI = 1 --HİZMET KAYDI YAPILMIŞ
					AND ISNULL(ISTBOLUM.SNgoNDERILMESIN,0)=0	
					AND				
						(
							(	
								@ISLEMKODU = '105'
								AND UYGBOLUM.KLINIKKODU NOT IN('104', '130', '178', '182', '194', '155')								
							)
							OR
							(	
								@ISLEMKODU = '201'						
								AND UYGBOLUM.KLINIKKODU IN('182', '194', '155')
							)
							OR
							(	
								@ISLEMKODU = '409'
								AND UYGBOLUM.KLINIKKODU IN('104', '130', '178')
							)				
						)
			SET @MESAJ = @MESAJ + @ISLEMKODU +'- USS sistemine tetkik kaydı başarıyla yapıldı'							
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + @ISLEMKODU+'- USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
	
		END
	END

	IF @ISLEMKODU = '106' --Çıkış bildirimi
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE HY SET HY.SNOYATISCIKISgoNDERILDI= 1
			FROM HYATIS HY			 			
			WHERE HY.HDOSYAID = @HDOSYAID --AND (@TABLOID=0 OR @TABLOID=HY.HYATISID)				
			SET @MESAJ = @MESAJ + '106- USS sistemine yatış çıkış bildirimi başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '106- Çıkış bildiriminde USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
		
		END
	END

	IF @ISLEMKODU = '106106' --Çıkış bildirimi
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE HD SET HD.SNOAYAKTANCIKISGONDERILDI= 1
			FROM HDOSYA HD			 			
			WHERE HD.HDOSYAID = @HDOSYAID --AND (@TABLOID=0 OR @TABLOID=HY.HYATISID)				
			SET @MESAJ = @MESAJ + '106- USS sistemine ayaktan çıkış bildirimi başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '106- Çıkış bildiriminde USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
		
		END
	END


	IF @ISLEMKODU = '251' --Pandemi Asi Sonrasi Istenmeyen Etki
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN		
				UPDATE HUSS251VERISETI SET GONDERILDI = 1 
				FROM HUSS251VERISETI 
				WHERE HDOSYAID = @HDOSYAID	AND HUSS251VERISETIID = @TABLOID	
				
				SET @MESAJ = @MESAJ + '251 - USS sistemine Pandemi aşı sonrası istenmeyen etki bilgileri kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '251 - Pandemi aşı sonrası istenmeyen etki bilgileri kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END

	IF @ISLEMKODU = '244' --Özellikli izlem kayıt
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE HYI SET HYI.OZELLIKLIIZLEMGONDERILDI = 1 
				FROM HYIZLEM HYI
				INNER JOIN HYOZELLIKLIIZLEM HYOI ON HYOI.HYIZLEMID=HYI.HYIZLEMID				
				WHERE HYOI.HDOSYAID = @HDOSYAID AND (@TABLOID=0 OR @TABLOID=HYI.HYIZLEMID)				
				
				
				SET @MESAJ = @MESAJ + '244- USS sistemine özellikli izlem kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '244- Özellikli izlem kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END	

	IF @ISLEMKODU = '502' --Yoğun bakım kayıt
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE HY SET HY.YOGUNBAKIMgoNDERILDI = 1 
				FROM HYATIS HY				
				WHERE HY.HDOSYAID = @HDOSYAID --AND (@TABLOID=0 OR @TABLOID=HY.HYATISID)				
				
				/*UPDATE HESAPISL SET SNKAYDET=0 FROM HESAPISL H
                INNER JOIN TITEM T ON H.ITEMID=T.ITEMID
                WHERE ITEMKODU2='510090' AND ITEMTURUID='6' AND IIPTAL=0 AND IPTAL=0 AND H.MDLKAYDET=0 AND H.SNKAYDET=1	AND	H.HDOSYAID=@HDOSYAID*/
				
				SET @MESAJ = @MESAJ + '502- USS sistemine yoğun bakım kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '502- Yoğun bakım kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END	

	IF @ISLEMKODU = '236' --Kuduz İzlem 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE HKUDUZPROFILAKSIIZLEM SET SNOGONDERILDI = 1 
				FROM HKUDUZPROFILAKSIIZLEM 				
				WHERE HDOSYAID= @HDOSYAID --AND (@TABLOID=0 OR @TABLOID=HY.HYATISID)				
				
				
				SET @MESAJ = @MESAJ + '236- USS sistemine kuduz izlem kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '236- Kuduz izlem kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END	

	IF @ISLEMKODU = '237' --Kuduz İzlem 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE HKUDUZRISKLITEMAS SET SNOGONDERILDI = 1 
				FROM HKUDUZRISKLITEMAS 				
				WHERE HDOSYAID= @HDOSYAID --AND (@TABLOID=0 OR @TABLOID=HY.HYATISID)				
				
				
				SET @MESAJ = @MESAJ + '237- USS sistemine Kuduz riskli temas kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '237- Kuduz riskli temas kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END	
	
	IF @ISLEMKODU = '242' -- 242 Enfeksiyon Etkeni Bildirim Veri Seti
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE ENFEKSIYONETKENBILDIRIM SET SNOGONDERILDI = 1 
				FROM ENFEKSIYONETKENBILDIRIM 				
				WHERE HDOSYAID= @HDOSYAID --AND (@TABLOID=0 OR @TABLOID=HY.HYATISID)				
				
				
				SET @MESAJ = @MESAJ + '242 - Enfeksiyon Etkeni Bildirim başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '242 - Enfeksiyon Etkeni Bildirim kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END	
	
	IF @ISLEMKODU = '286' -- 286 Sağlık Meslek Hizmet Birimi Talep
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS_286_SAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT SET SNOGONDERILDI = 1 
				FROM USS_286_SAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT 				
				WHERE HDOSYAID= @HDOSYAID --AND (@TABLOID=0 OR @TABLOID=HY.HYATISID)				
				
				
				SET @MESAJ = @MESAJ + '286 - Sağlık Meslek Hizmet Birimi Talep Bildirim başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '286 - Sağlık Meslek Hizmet Birimi Talep Bildirim kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END
			
	IF @ISLEMKODU = '109' -- 109 Yatan Hasta Epikriz Kayıt
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS109YATANHASTAEPIKRIZ SET SNOGONDERILDI = 1 
				FROM USS109YATANHASTAEPIKRIZ 				
				WHERE HDOSYAID= @HDOSYAID --AND (@TABLOID=0 OR @TABLOID=HY.HYATISID)				
				
				
				SET @MESAJ = @MESAJ + '109 - Yatan Hasta Epikriz Kayıt başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '109 - 109 Yatan Hasta Epikriz Kayıt kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END		

	IF @ISLEMKODU = '110' -- 110 Anjiyografi Rapor Kayıt
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS_110_ANJIYO_RAPOR_KAYIT SET SNOGONDERILDI = 1 
				FROM USS_110_ANJIYO_RAPOR_KAYIT 				
				WHERE HDOSYAID= @HDOSYAID 
				
				
				SET @MESAJ = @MESAJ + '110 - Anjiyografi Rapor Kayıt başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '110 - 110 Anjiyografi Rapor Kayıt kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END	


	IF @ISLEMKODU = '111' -- 111 Girişimsel Kardiyoloji Rapor Kayıt
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS_111_GIRISIMSEL_KARDIYOLOJI_RAPOR_KAYIT SET SNOGONDERILDI = 1 
				FROM USS_111_GIRISIMSEL_KARDIYOLOJI_RAPOR_KAYIT 				
				WHERE HDOSYAID= @HDOSYAID 
				
				
				SET @MESAJ = @MESAJ + '111 - Girişimsel Kardiyoloji Rapor Kayıt başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '111 - 111 Girişimsel Kardiyoloji Rapor Kayıt kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	IF @ISLEMKODU = '413' -- 413 Hekim Mesajlasma
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS_413_HEKIM_MESAJLASMA SET SNOGONDERILDI = 1 
				FROM USS_413_HEKIM_MESAJLASMA 				
				WHERE HMUAYENEID= @HDOSYAID /*HMUAYEID ALANINI KULLANDI SP HDOSYAID ALIYOR O ALANA HMUYNEID GONDERDİK*/ 				
				
				SET @MESAJ = @MESAJ + '413 Hekim Mesajlasma Kayıt başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '413 - 413 Hekim Mesajlasma Kayıt kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	IF @ISLEMKODU = '288' -- 288 trafik kazası skorlama
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS_288TRAFIKKAZASIHSTSKORLAMA SET SNOGONDERILDI = 1 
				FROM USS_288TRAFIKKAZASIHSTSKORLAMA 				
				WHERE HMUAYENEID= @HDOSYAID /*HMUAYEID ALANINI KULLANDI SP HDOSYAID ALIYOR O ALANA HMUYaNEID GONDERDİK*/ 				
				
				SET @MESAJ = @MESAJ + '288 Trafik Kazası Yaralı Skorlama Kayıt başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '288 - 288 Trafik Kazası Yaralı Skorlama Kayıt kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	IF @ISLEMKODU = '276' --Yoğun bakım kayıt
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE HY SET HY.USS276GONDERILDI = 1 
				FROM HYATIS HY				
				WHERE HY.HDOSYAID = @HDOSYAID --AND (@TABLOID=0 OR @TABLOID=HY.HYATISID)				
				
				
				
				SET @MESAJ = @MESAJ + '276- USS sistemine Yoğun Bakım Değerlendirme Genel Bilgiler kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '276- Yoğun Bakım Değerlendirme Genel Bilgiler kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END	


	IF @ISLEMKODU = '277' --Yoğun bakım kayıt
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE HY SET HY.YOGUNBAKIMgoNDERILDI = 1 
				FROM HYATIS HY				
				WHERE HY.HDOSYAID = @HDOSYAID 
				
				UPDATE HESAPISL SET SNKAYDET=0 FROM HESAPISL H
                INNER JOIN TITEM T ON H.ITEMID=T.ITEMID
                WHERE ITEMKODU2 IN ('510090','510070') AND ITEMTURUID='6' AND IIPTAL=0 AND IPTAL=0 AND H.MDLKAYDET=0 AND H.SNKAYDET=1	AND	H.HDOSYAID=@HDOSYAID
				
				SET @MESAJ = @MESAJ + '277 - USS sistemine yoğun bakım kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '277 - Yoğun bakım kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END		

	IF @ISLEMKODU = '205' --205_ASI_ERTELEME_IPTAL_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				--UPDATE HY SET HY.YOGUNBAKIMgoNDERILDI = 1 
				--FROM HYATIS HY				
				--WHERE HY.HDOSYAID = @HDOSYAID 
				
				SET @MESAJ = @MESAJ + '205 - USS sistemine Aşı Erteleme / İptal kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '205 - USS sistemine Aşı Erteleme / İptal kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END	

	IF @ISLEMKODU = '206' --SPUSS_206_ASI_SONRASI_ISTENMEYEN_ETKI_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				--UPDATE HY SET HY.YOGUNBAKIMgoNDERILDI = 1 
				--FROM HYATIS HY				
				--WHERE HY.HDOSYAID = @HDOSYAID 
				
				SET @MESAJ = @MESAJ + '206 - USS sistemine Aşı Sonrası İstenmneyen Etki kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '206 - USS sistemine Aşı Sonrası İstenmneyen Etki kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END	

	IF @ISLEMKODU = '202' --SPUSS_202_KADIN_IZLEM_15_49_YAS_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS202 SET USS202.SNOGONDERILDI = 1 
				FROM USS202_KADIN_IZLEM_15_49_YAS USS202				
				WHERE USS202.ID = @TABLOID  --USS202_KADIN_IZLEM_15_49_YAS TABLPOSUNDAKİ ID DEGERİNİ GÖNDERDİK
				
				SET @MESAJ = @MESAJ + '202 - USS sistemine Kadın İzlem 15 49 Yas kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '202 -  USS sistemine Kadın İzlem 15 49 Yas kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	IF @ISLEMKODU = '209' --209 Bebek / Cocuk Izlem Veri Seti
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS209 SET USS209.SNOGONDERILDI = 1 
				FROM USS209_BEBEK_COCUK_IZLEM_VERI_SETI USS209				
				WHERE USS209.ID = @TABLOID  --209 Bebek / Cocuk Izlem Veri Seti TABLPOSUNDAKİ ID DEGERİNİ GÖNDERDİK
				
				SET @MESAJ = @MESAJ + '209 - USS sistemine Bebek / Cocuk Izlem kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '209 -  USS sistemine KBebek / Cocuk Izlem kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	IF @ISLEMKODU = '212' -- 212 BEBEK COCUK IZLEM PSIKOSOSYAL IZLEM KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS212 SET USS212.SNOGONDERILDI = 1 
				FROM USS212_BEBEK_COCUK_IZLEM_PSIKOSOSYAL_IZLEM USS212				
				WHERE USS212.ID = @TABLOID  --212 BEBEK COCUK IZLEM PSIKOSOSYAL IZLEM KAYIT TABLPOSUNDAKİ ID DEGERİNİ GÖNDERDİK
				
				SET @MESAJ = @MESAJ + '212 - USS sistemine BEBEK COCUK IZLEM PSIKOSOSYAL IZLEM kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '212 -  USS sistemine BEBEK COCUK IZLEM PSIKOSOSYAL IZLEM kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	IF @ISLEMKODU = '215' -- 215 DIYABET KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS215 SET USS215.SNOGONDERILDI = 1 
				FROM USS215_DIYABET USS215				
				WHERE USS215.ID = @TABLOID  -- 215 DIYABET KAYIT
				
				SET @MESAJ = @MESAJ + '215 - USS sistemine DIYABET KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '215 -  USS sistemine DIYABET KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	IF @ISLEMKODU = '216' -- 216_DIYALIZ_HASTASI_BILDIRIM_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS216 SET USS216.SNOGONDERILDI = 1 
				FROM USS216_DIYALIZ_HASTASI_BILDIRIM AS USS216				
				WHERE USS216.ID = @TABLOID  -- 216_DIYALIZ_HASTASI_BILDIRIM_KAYIT
				
				SET @MESAJ = @MESAJ + '216 - USS sistemine DIYALIZ_HASTASI_BILDIRIM_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '216 -  USS sistemine DIYALIZ_HASTASI_BILDIRIM_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	IF @ISLEMKODU = '219' -- 219_EVDE_SAGLIK_HIZMETI_ILK_IZLEM
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS219 SET USS219.SNOGONDERILDI = 1 
				FROM USS219_EVDE_SAGLIK_HIZMETI_ILK_IZLEM  AS USS219				
				WHERE USS219.ID = @TABLOID  -- 219_EVDE_SAGLIK_HIZMETI_ILK_IZLEM
				
				SET @MESAJ = @MESAJ + '219 - USS sistemine EVDE_SAGLIK_HIZMETI_ILK_IZLEM kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '219 -  USS sistemine EVDE_SAGLIK_HIZMETI_ILK_IZLEM kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END
	
	IF @ISLEMKODU = '217' -- SPUSS_217_DIYALIZ_HASTASI_IZLEM_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS217 SET USS217.SNOGONDERILDI = 1 
				FROM USS217_DIYALIZ_HASTASI_IZLEM  AS USS217
				WHERE USS217.ID = @TABLOID  -- 217_DIYALIZ_HASTASI_IZLEM_KAYIT
				
				SET @MESAJ = @MESAJ + '217 - USS sistemine DIYALIZ_HASTASI_IZLEM_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '217 -  USS sistemine DIYALIZ_HASTASI_IZLEM_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	IF @ISLEMKODU = '226' -- USS226_GOZLUK_RECETE
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS226 SET USS226.SNOGONDERILDI = 1 
				FROM USS226_GOZLUK_RECETE  AS USS226
				WHERE USS226.ID = @TABLOID  -- USS226_GOZLUK_RECETE
				
				SET @MESAJ = @MESAJ + '226 - USS sistemine GOZLUK_RECETE_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '226 - USS sistemine GOZLUK_RECETE_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END


	IF @ISLEMKODU = '227' -- USS227_GELENEKSEL_TAMAMLAYICI_TIP_UYGULAMALARI
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS227 SET USS227.SNOGONDERILDI = 1 
				FROM USS227_GELENEKSEL_TAMAMLAYICI_TIP_UYGULAMALARI  AS USS227
				WHERE USS227.ID = @TABLOID  -- USS227_GELENEKSEL_TAMAMLAYICI_TIP_UYGULAMALARI
				
				SET @MESAJ = @MESAJ + '227 - USS sistemine GELENEKSEL_TAMAMLAYICI_TIP_UYGULAMALARI_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '227 - USS sistemine GELENEKSEL_TAMAMLAYICI_TIP_UYGULAMALARI_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	IF @ISLEMKODU = '229' -- USS229_INTIHAR_GIRISIMI_VE_KRIZ_IZLEM
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS229 SET USS229.SNOGONDERILDI = 1 
				FROM USS229_INTIHAR_GIRISIMI_VE_KRIZ_IZLEM  AS USS229
				WHERE USS229.ID = @TABLOID  -- USS227_GELENEKSEL_TAMAMLAYICI_TIP_UYGULAMALARI
				
				SET @MESAJ = @MESAJ + '229 - USS sistemine INTIHAR_GIRISIMI_VE_KRIZ_IZLEM_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '229 - USS sistemine INTIHAR_GIRISIMI_VE_KRIZ_IZLEM_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	IF @ISLEMKODU = '222' -- USS222_GEBE_PSIKOSOSYAL_IZLEM
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS222 SET USS222.SNOGONDERILDI = 1 
				FROM USS222_GEBE_PSIKOSOSYAL_IZLEM  AS USS222
				WHERE USS222.ID = @TABLOID  -- USS222_GEBE_PSIKOSOSYAL_IZLEM
				
				SET @MESAJ = @MESAJ + '222 - USS sistemine GEBE_PSIKOSOSYAL_IZLEM_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '222 - USS sistemine GEBE_PSIKOSOSYAL_IZLEM_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END
	
	IF @ISLEMKODU = '220' -- SPUSS_220_EVDE_SAGLIK_HIZMETI_IZLEM_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS220 SET USS220.SNOGONDERILDI = 1 
				FROM USS220_EVDE_SAGLIK_HIZMETI_IZLEM  AS USS220
				WHERE USS220.ID = @TABLOID  -- SPUSS_220_EVDE_SAGLIK_HIZMETI_IZLEM_KAYIT
				
				SET @MESAJ = @MESAJ + '220 - USS sistemine EVDE_SAGLIK_HIZMETI_IZLEM_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '220 - USS sistemine EVDE_SAGLIK_HIZMETI_IZLEM_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END
	--
	IF @ISLEMKODU = '230' -- SPUSS_230_INTIHAR_GIRISIMI_VE_KRIZ_TESPIT_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS230 SET USS230.SNOGONDERILDI = 1 
				FROM USS230_INTIHAR_GIRISIMI_VE_KRIZ_TESPIT  AS USS230
				WHERE USS230.ID = @TABLOID  -- SPUSS_220_EVDE_SAGLIK_HIZMETI_IZLEM_KAYIT
				
				SET @MESAJ = @MESAJ + '230 - USS sistemine INTIHAR_GIRISIMI_VE_KRIZ_TESPIT_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '230 - USS sistemine INTIHAR_GIRISIMI_VE_KRIZ_TESPIT_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	--
	IF @ISLEMKODU = '231' -- SPUSS_231_KADINA_YONELIK_SIDDET_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS231 SET USS231.SNOGONDERILDI = 1 
				FROM USS231_KADINA_YONELIK_SIDDET  AS USS231
				WHERE USS231.ID = @TABLOID  -- SPUSS_220_EVDE_SAGLIK_HIZMETI_IZLEM_KAYIT
				
				SET @MESAJ = @MESAJ + '231 - USS sistemine KADINA_YONELIK_SIDDET kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '231 - USS sistemine KADINA_YONELIK_SIDDET kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END
	--
	IF @ISLEMKODU = '240' -- SPUSS_240_OBEZITE_IZLEM_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS240 SET USS240.SNOGONDERILDI = 1 
				FROM USS240_OBEZITE_IZLEM  AS USS240
				WHERE USS240.ID = @TABLOID  -- SPUSS_240_OBEZITE_IZLEM_KAYIT
				
				SET @MESAJ = @MESAJ + '240 - USS sistemine OBEZITE_IZLEM_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '240 - USS sistemine OBEZITE_IZLEM_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	--
	IF @ISLEMKODU = '247' -- SPUSS_247_TOPLUM_TABANLI_KANSER_TARAMA_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS247 SET USS247.SNOGONDERILDI = 1 
				FROM USS247_TOPLUM_TABANLI_KANSER_TARAMA  AS USS247
				WHERE USS247.ID = @TABLOID  -- SPUSS_247_TOPLUM_TABANLI_KANSER_TARAMA_KAYIT
				
				SET @MESAJ = @MESAJ + '247 - USS sistemine TOPLUM_TABANLI_KANSER_TARAMA_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '247 - USS sistemine TOPLUM_TABANLI_KANSER_TARAMA_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END
	--SPUSS_248_TUTUN_KULLANIMI_KAYIT
	IF @ISLEMKODU = '248' -- SPUSS_248_TUTUN_KULLANIMI_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS248 SET USS248.SNOGONDERILDI = 1 
				FROM USS248_TUTUN_KULLANIMI  AS USS248
				WHERE USS248.ID = @TABLOID  -- SPUSS_248_TUTUN_KULLANIMI_KAYIT
				
				SET @MESAJ = @MESAJ + '248 - USS sistemine TUTUN_KULLANIMI_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '248 - USS sistemine TUTUN_KULLANIMI_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	
	IF @ISLEMKODU = '257' -- SPUSS_257_COCUK_DIYABET_BILDIRIM_KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS257 SET USS257.SNOGONDERILDI = 1 
				FROM USS257_COCUK_DIYABET_BILDIRIM  AS USS257
				WHERE USS257.ID = @TABLOID  -- SPUSS_257_COCUK_DIYABET_BILDIRIM_KAYIT
				
				SET @MESAJ = @MESAJ + '257 - USS sistemine COCUK_DIYABET_BILDIRIM_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '257 - USS sistemine COCUK_DIYABET_BILDIRIM_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	--SPUSS_258_COCUK_DIYABET_IZLEM_KAYIT
	IF @ISLEMKODU = '258' 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS258 SET USS258.SNOGONDERILDI = 1 
				FROM USS258_COCUK_DIYABET_IZLEM  AS USS258
				WHERE USS258.ID = @TABLOID  -- SPUSS_258_COCUK_DIYABET_IZLEM_KAYIT
				
				SET @MESAJ = @MESAJ + '258 - USS sistemine COCUK_DIYABET_IZLEM_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '258 - USS sistemine COCUK_DIYABET_IZLEM_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

    --SPUSS_271_MALNUTRISYON_BILGILERI_KAYIT
	IF @ISLEMKODU = '271' 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS271 SET USS271.SNOGONDERILDI = 1 
				FROM USS271_MALNUTRISYON_BILGILERI  AS USS271
				WHERE USS271.ID = @TABLOID  -- SPUSS_271_MALNUTRISYON_BILGILERI_KAYIT
				
				SET @MESAJ = @MESAJ + '271 - USS sistemine MALNUTRISYON_BILGILERI_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '271 - USS sistemine MALNUTRISYON_BILGILERI_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END
    --SPUSS_270_MADDE_BAGIMLILIGI_BILDIRIM
	IF @ISLEMKODU = '270' 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS270 SET USS270.SNOGONDERILDI = 1 
				FROM USS270_MADDE_BAGIMLILIGI_BILDIRIM  AS USS270
				WHERE USS270.ID = @TABLOID  -- SPUSS_270_MADDE_BAGIMLILIGI_BILDIRIM
				
				SET @MESAJ = @MESAJ + '270 - USS sistemine MADDE_BAGIMLILIGI_BILDIRIM kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '270 - USS sistemine MADDE_BAGIMLILIGI_BILDIRIM kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	--SPUSS_274_TAVI_KAYIT
    IF @ISLEMKODU = '274' 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS274 SET USS274.SNOGONDERILDI = 1 
				FROM USS274_TAVI_KAYIT  AS USS274
				WHERE USS274.ID = @TABLOID  -- SPUSS_274_TAVI_KAYIT
				
				SET @MESAJ = @MESAJ + '274 - USS sistemine TAVI_KAYIT kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '274 - USS sistemine TAVI_KAYIT kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END
	--SPUSS_275_TAVI_GIRISIM_ISLEM_SONU
    IF @ISLEMKODU = '275' 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				UPDATE USS275 SET USS275.SNOGONDERILDI = 1 
				FROM USS275_TAVI_GIRISIM_ISLEM_SONU  AS USS275
				WHERE USS275.ID = @TABLOID  -- SPUSS_275_TAVI_GIRISIM_ISLEM_SONU
				
				SET @MESAJ = @MESAJ + '275 - USS sistemine TAVI_GIRISIM_ISLEM_SONU kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '275 - USS sistemine TAVI_GIRISIM_ISLEM_SONU kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	--501 Erişkin Yoğun Bakım Skoru
    IF @ISLEMKODU = '501' 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				--UPDATE HYBBYS SET HYBBYS.SNOGONDERILDI = 1 
				--FROM HYBBYS  AS USS275
				--WHERE HYBBYS.hb = @TABLOID  -- 501 Erişkin Yoğun Bakım Skoru
				
				SET @MESAJ = @MESAJ + '501 - USS sistemine Erişkin Yoğun Bakım Skoru kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '501 - USS sistemine Erişkin Yoğun Bakım Skoru kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

	--108 TELETIP KAYIT
    IF @ISLEMKODU = '108' 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				--UPDATE HYBBYS SET HYBBYS.SNOGONDERILDI = 1 
				--FROM HYBBYS  AS USS275
				--WHERE HYBBYS.hb = @TABLOID  -- 108 TELETIP KAYIT
				
				SET @MESAJ = @MESAJ + '108 - USS sistemine TeleTıp Sonuç Kayıt kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '108 - USS sistemine TeleTıp Sonuç Kayıt kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END
	--SPUSS_514_SAGLIK_TESIS_BILGILERI
	IF @ISLEMKODU = '514' 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				--UPDATE HYBBYS SET HYBBYS.SNOGONDERILDI = 1 
				--FROM HYBBYS  AS USS275
				--WHERE HYBBYS.hb = @TABLOID  -- 108 TELETIP KAYIT
				
				SET @MESAJ = @MESAJ + '514 - USS sistemine 514_SAGLIK_TESIS_BILGILERI kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '514 - USS sistemine 514_SAGLIK_TESIS_BILGILERI kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

		--SPUSS_404_HASTANE_REFEREANS_SORGULAMA
	IF @ISLEMKODU = '404' 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				--UPDATE HYBBYS SET HYBBYS.SNOGONDERILDI = 1 
				--FROM HYBBYS  AS USS275
				--WHERE HYBBYS.hb = @TABLOID  -- 108 TELETIP KAYIT


				---********************************
				DECLARE @xml404String NVARCHAR(MAX)
				DECLARE @xml404 XML
				DECLARE @Sonuc404 NVARCHAR(MAX)

				SET @xml404String = @XMLCEVAP
									 

				-- XML parse (bozuksa NULL olur)
				SET @xml404 = TRY_CAST(@xml404String AS XML)

				IF @xml404 IS NOT NULL
				BEGIN
					-- Node var mı ve içi dolu mu kontrolü
					IF @xml404.exist('/SYSMessage/recordData/KayitCevabi/SYSTakipNo') = 1
					BEGIN
						SET @Sonuc404 =
							'SYSTakipNo = '+@xml404.value('(/SYSMessage/recordData/KayitCevabi/SYSTakipNo/@value)[1]', 'nvarchar(100)')
					END
					ELSE
					BEGIN
						SET @Sonuc404 = ''
					END
				END
				ELSE
				BEGIN
					SET @Sonuc404 = ''
				END

				--SELECT @Sonuc404
				--*********************************
				
				SET @MESAJ = @MESAJ + '404 - USS sistemine HASTANE_REFEREANS_SORGULAMA  başarıyla yapıldı'	+CHAR(13) + CHAR(10)+CHAR(13) + CHAR(10)+@Sonuc404		
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '404 - USS sistemine HASTANE_REFEREANS_SORGULAMA da USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END

			--SPUSS_405_GUNLUK_VERI_SORGULAMA
	IF @ISLEMKODU = '405' 
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
				--UPDATE HYBBYS SET HYBBYS.SNOGONDERILDI = 1 
				--FROM HYBBYS  AS USS275
				--WHERE HYBBYS.hb = @TABLOID  -- 108 TELETIP KAYIT
				
				---********************************
				DECLARE @xml405String NVARCHAR(MAX)
				DECLARE @xml405 XML
				DECLARE @Sonuc405 NVARCHAR(MAX)

				SET @xml405String = @XMLCEVAP
									 

				-- XML parse (bozuksa NULL olur)
				SET @xml405 = TRY_CAST(@xml405String AS XML)

				IF @xml405 IS NOT NULL
				BEGIN
					-- Node var mı ve içi dolu mu kontrolü
					IF @xml405.exist('/SYSMessage/recordData/KayitCevabi/KAYITLI_VERI_BILGISI/*') = 1
					BEGIN
						SET @Sonuc405 =
							CONVERT(NVARCHAR(MAX),
								@xml405.query('(/SYSMessage/recordData/KayitCevabi/KAYITLI_VERI_BILGISI)[1]')
							)
					END
					ELSE
					BEGIN
						SET @Sonuc405 = '<KAYITLI_VERI_BILGISI>  Yok!!!'
					END
				END
				ELSE
				BEGIN
					SET @Sonuc405 = ''
				END

				--SELECT @Sonuc405 AS KAYITLI_VERI_BILGISI
				--*********************************

				SET @MESAJ = @MESAJ + '405 - USS sistemine GUNLUK_VERI_SORGULAMA  başarıyla yapıldı '+CHAR(13) + CHAR(10)+@Sonuc405
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '405 - USS sistemine GUNLUK_VERI_SORGULAMA da USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END
	

	IF @ISLEMKODU = '700' --HIZMET KAYIT
	BEGIN
		IF @SONUCKODU = 'E8000' 
		BEGIN
			SET @SONUCMESAJI= (	SELECT T.C.value('SonucMesaji[1]', 'varchar(100)') as SONUCMESAJI1
				FROM @XML3.nodes('(/SYSMessage/recordData/KayitCevabi/SGKBildirimKontrol/DokumanKontrol/SGKBildirimKontrolSonuc[1])') as T(C))

			SET @SONUCMESAJI2= (	SELECT T.C.value('SonucMesaji[1]', 'varchar(100)') as SONUCMESAJI2
				FROM @XML3.nodes('(/SYSMessage/recordData/KayitCevabi/SGKBildirimKontrol/DokumanKontrol/SGKBildirimKontrolSonuc[2])') as T(C))
			
			IF @SONUCMESAJI IS NULL
				SET @SONUCMESAJI= ''
			
			IF @SONUCMESAJI2 IS NULL
				SET @SONUCMESAJI2= ''								
	
			SET @HATA = @HATA + '700- Hizmet kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI+ ' '+@SONUCMESAJI2	
						
		END
		ELSE IF @SONUCKODU = 'S0000'
		BEGIN		
				UPDATE TBL SET TBL.ENABIZISLEMBILDIRIM = 1 
				FROM VWSNOMUAYENEISLEMLERI TBL
				WHERE TBL.HDOSYAID = @HDOSYAID
				AND (@TABLOID=0 OR TBL.HESAPISLID = @TABLOID)
				AND (@MINID=0 OR TBL.HESAPISLID>=@MINID)
				AND (@MAXID=0 OR TBL.HESAPISLID<=@MAXID)			
				
				SET @MESAJ = @MESAJ + '700- USS sistemine işlem bildirim kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '700- Hizmet kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI				
								
		END
	END

	IF @ISLEMKODU = '252' --
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN	
		
			UPDATE HMISL SET HMISL.SNKONgoNDERILDI = 1 
			FROM HMUAYENEISL HMISL 
			JOIN HMUAYENE HM ON HM.HMUAYENEID = HMISL.HMUAYENEID
			JOIN HESAPISL ON HESAPISL.HESAPISLID =HMISL.HESAPISLID 
			WHERE HM.HDOSYAID = @HDOSYAID AND (@TABLOID=0 OR @TABLOID=HMISL.HMUAYENEISLID)	
			AND HESAPISL.IPTAL = 0 AND HESAPISL.ONAYLI = 1 AND HESAPISL.TEKLIF = 0 							
				
				
				SET @MESAJ = @MESAJ + '252- USS sistemine Konsültasyon kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '252- Konsültasyon kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI	
				
		END
	END		


		IF @ISLEMKODU = '101262'--HASTA KAYIT NAKIL
	BEGIN
		SET @SNOTAKIPNO = (	SELECT T.C.value('@value', 'varchar(100)') as SNOTAKIPNO
							FROM @XML3.nodes('(/SYSMessage/recordData/KayitCevabi/SYSTakipNo)') as T(C))	
		IF @SONUCKODU = 'E2033' 
		BEGIN
			SET @HATA = @HATA + '101 - Hastanın USS hasta kaydı daha önce yapıldığı için önceki takip numarası sisteme kaydedildi'
			
		END
		IF @SONUCKODU = 'S0000'
		BEGIN
			IF @SNOTAKIPNO=''
				SET @HATA = @HATA + '101 - Hasta Nakil işlemi için takip numarası alınamadı'
			ELSE
			BEGIN
				UPDATE HNAKILBILGILERI SET HNAKILSNOTAKIPNO = RTRIM(@SNOTAKIPNO) WHERE HDOSYAID = @HDOSYAID
				AND HNAKILBILGILERIID = @TABLOID	
				

				SET @MESAJ = @MESAJ + '101 - Hasta Nakil işlemi için USS sistemine hasta kaydı başarıyla yapıldı'
			END			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '101262 -Hasta Nakil işlemi USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END

	IF @ISLEMKODU = '407' --GUNSONU KAYIT
	BEGIN
		IF @SONUCKODU = 'S0000'
		BEGIN		
				UPDATE TBL SET TBL.GONDERIMTARIHI = GETDATE() 
				FROM USSGUNSONUGONDERIM TBL
				WHERE TBL.USSGUNSONUGONDERIMID = @TABLOID

				SET @MESAJ = @MESAJ + '407 - USS sistemine gunsonu kaydı başarıyla yapıldı'			
		END	
		ELSE 
		BEGIN
			SET @HATA = @HATA + '407 - Gunsonu kaydında USS sisteminden alınan hata :'+@SONUCKODU+' '+@SONUCMESAJI
			
		END
	END


	IF @HATA<>''
	BEGIN
		SET @HATA = CONVERT(VARCHAR, @HDOSYAID) + ' numaralı dosya için ' + @HATA;
	END
	IF @MESAJ<>'' 
		SET @MESAJ = CONVERT(VARCHAR, @HDOSYAID) + ' numaralı dosya için ' + @MESAJ;
	

	SELECT	@HATA AS HATA, 
			@MESAJ AS MESAJ
END
